       /* 遮罩層 */
       .mask {
           position: fixed;
           top: 0;
           left: 0;
           width: 100%;
           height: 100%;
           background: rgba(0, 0, 0, 0.8);
           display: none;
           justify-content: center;
           align-items: center;
           z-index: 9999;
       }

       /* 提示框 */
       .dialog {
           background: #fff;
           margin: 25px;
           padding: 20px;
           border-radius: 10px;
           text-align: center;
           max-width: 500px;
           position: relative;
           /* 添加相對定位 */
       }

       /* 關閉按鈕 */
       .dialog .close-btn {
           position: absolute;
           top: -10px;
           right: -10px;
           background: #fff;
           width: 20px;
           height: 20px;
           border-radius: 50%;
           border: 1px solid #ccc;
           display: flex;
           justify-content: center;
           align-items: center;
           cursor: pointer;
       }

       /* 關閉按鈕圖標 */
       .dialog .close-btn:before {
           content: "\00D7";
           font-size: 16px;
           color: #666;
       }

       /* 提示框文字 */
       .dialog p {
           margin: 0 0 20px;
           text-align: center !important;
       }

       /* 確認按鈕 */
       .dialog button {
           background: rgba(255, 123, 0, 1);
           color: #fff;
           border: none;
           padding: 10px 20px;
           border-radius: 5px;
           cursor: pointer;
           font-size: 16px;
       }

       /* 下載按鈕 */
       #playStore-link.disabled {
           pointer-events: none;
           opacity: 0.5;
       }

       /* 顯示遮罩層 */
       .show {
           display: flex;
       }